<?php
/**
 * Custom views handler for news_client_operations field.
 */

class news_client_views_handler_field_news_client_operations extends views_handler_field {
  /**
   * Render the field.
   *
   * @param $values
   *   The values retrieved from the database.
   */
  function render($values) {
    $nid = $this->get_value($values);
    
    $links = array(
      array(
        'title' => t('Sync'),
        'href' => 'admin/config/services/news_client/sync/' . $nid,
      )
    );
    
    $markup = theme_links(
      array(
        'links' => $links,
        'attributes' => array(
          'class' => array('links', 'inline', 'button'),
        ),
        'heading' => array(),
      )
    );
    
    return $markup;
  }
}
