<?php
/**
 * @file
 * wcm_admin_menu.features.menu_links.inc
 */

/**
 * Implements hook_menu_default_menu_links().
 */
function wcm_admin_menu_menu_default_menu_links() {
  $menu_links = array();

  // Exported menu link: shortcut-set-1_add-content:node/add.
  $menu_links['shortcut-set-1_add-content:node/add'] = array(
    'menu_name' => 'shortcut-set-1',
    'link_path' => 'node/add',
    'router_path' => 'node/add',
    'link_title' => 'Add content',
    'options' => array(
      'identifier' => 'shortcut-set-1_add-content:node/add',
    ),
    'module' => 'menu',
    'hidden' => 1,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -43,
    'customized' => 0,
  );
  // Exported menu link: shortcut-set-1_configuration:admin/config.
  $menu_links['shortcut-set-1_configuration:admin/config'] = array(
    'menu_name' => 'shortcut-set-1',
    'link_path' => 'admin/config',
    'router_path' => 'admin/config',
    'link_title' => 'Configuration',
    'options' => array(
      'identifier' => 'shortcut-set-1_configuration:admin/config',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -50,
    'customized' => 0,
  );
  // Exported menu link: shortcut-set-1_content-types:admin/structure/types.
  $menu_links['shortcut-set-1_content-types:admin/structure/types'] = array(
    'menu_name' => 'shortcut-set-1',
    'link_path' => 'admin/structure/types',
    'router_path' => 'admin/structure/types',
    'link_title' => 'Content types',
    'options' => array(
      'identifier' => 'shortcut-set-1_content-types:admin/structure/types',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -46,
    'customized' => 0,
  );
  // Exported menu link: shortcut-set-1_features:admin/structure/features.
  $menu_links['shortcut-set-1_features:admin/structure/features'] = array(
    'menu_name' => 'shortcut-set-1',
    'link_path' => 'admin/structure/features',
    'router_path' => 'admin/structure/features',
    'link_title' => 'Features',
    'options' => array(
      'identifier' => 'shortcut-set-1_features:admin/structure/features',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -44,
    'customized' => 0,
  );
  // Exported menu link: shortcut-set-1_find-content:admin/content.
  $menu_links['shortcut-set-1_find-content:admin/content'] = array(
    'menu_name' => 'shortcut-set-1',
    'link_path' => 'admin/content',
    'router_path' => 'admin/content',
    'link_title' => 'Find content',
    'options' => array(
      'identifier' => 'shortcut-set-1_find-content:admin/content',
    ),
    'module' => 'menu',
    'hidden' => 1,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -42,
    'customized' => 0,
  );
  // Exported menu link: shortcut-set-1_modules:admin/modules.
  $menu_links['shortcut-set-1_modules:admin/modules'] = array(
    'menu_name' => 'shortcut-set-1',
    'link_path' => 'admin/modules',
    'router_path' => 'admin/modules',
    'link_title' => 'Modules',
    'options' => array(
      'identifier' => 'shortcut-set-1_modules:admin/modules',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -48,
    'customized' => 0,
  );
  // Exported menu link: shortcut-set-1_performance:admin/config/development/performance.
  $menu_links['shortcut-set-1_performance:admin/config/development/performance'] = array(
    'menu_name' => 'shortcut-set-1',
    'link_path' => 'admin/config/development/performance',
    'router_path' => 'admin/config/development/performance',
    'link_title' => 'Performance',
    'options' => array(
      'identifier' => 'shortcut-set-1_performance:admin/config/development/performance',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -49,
    'customized' => 0,
  );
  // Exported menu link: shortcut-set-1_structure:admin/structure.
  $menu_links['shortcut-set-1_structure:admin/structure'] = array(
    'menu_name' => 'shortcut-set-1',
    'link_path' => 'admin/structure',
    'router_path' => 'admin/structure',
    'link_title' => 'Structure',
    'options' => array(
      'identifier' => 'shortcut-set-1_structure:admin/structure',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -47,
    'customized' => 0,
  );
  // Exported menu link: shortcut-set-1_views:admin/structure/views.
  $menu_links['shortcut-set-1_views:admin/structure/views'] = array(
    'menu_name' => 'shortcut-set-1',
    'link_path' => 'admin/structure/views',
    'router_path' => 'admin/structure',
    'link_title' => 'Views',
    'options' => array(
      'identifier' => 'shortcut-set-1_views:admin/structure/views',
    ),
    'module' => 'menu',
    'hidden' => 0,
    'external' => 0,
    'has_children' => 0,
    'expanded' => 0,
    'weight' => -45,
    'customized' => 0,
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Add content');
  t('Configuration');
  t('Content types');
  t('Features');
  t('Find content');
  t('Modules');
  t('Performance');
  t('Structure');
  t('Views');

  return $menu_links;
}
