<?php
/**
 * @file
 * wcm_media_gallery.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function wcm_media_gallery_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "file_entity" && $api == "file_default_displays") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function wcm_media_gallery_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function wcm_media_gallery_image_default_styles() {
  $styles = array();

  // Exported image style: wcm_gallery.
  $styles['wcm_gallery'] = array(
    'label' => 'Gallery',
    'effects' => array(
      1 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 350,
          'height' => 350,
        ),
        'weight' => 1,
      ),
    ),
  );

  return $styles;
}
